System 2.0.0.0 4.0.0.0 System.Security.Authentication.AuthenticationException

The and classes throw this exception when authentication fails. This exception indicates that the underlying stream is not in a valid state and you cannot retry the authentication using the or instance. If you can retry the authentication, an is thrown instead of the .

The exception that is thrown when authentication fails for an authentication stream and cannot be retried.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor does nothing.

  Initializes a new instance of the class with no message.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property with the text in the parameter. The property is set to null.

  Initializes a new instance of the class with the specified message.

  A that describes the authentication failure.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class from the specified instances of the and classes.

  A instance that contains the information required to deserialize the new instance.
  A instance.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property with the text in the parameter and initializes the property with the parameter value.

  Initializes a new instance of the class with the specified message and inner exception.

  A that describes the authentication failure.
  The that is the cause of the current exception.